Summary: 	A library providing low-level functions for DVD reading and seeking
Name: 		libdvdplay
Version: 	1.0.1
Release: 	0.lvn.3.3
Epoch:		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://developers.videolan.org/libdvdplay/
Source0: 	http://download.videolan.org/pub/libdvdplay/%{version}/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)
BuildRequires:	libdvdread-devel

%package devel
Summary: 	Development files for %{name}.
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

# -----------------------------------------------------------------------------

%description
libdvdplay is a cross-platform layer over libdvdread that provides
low-level functions for DVD reading and seeking, as well as access to
the DVD data (subtitles, languages, chapters). It also provides the
virtual machine required for DVD navigation to the client application.

%description devel
This package contains development files for %{name}.

libdvdplay is a cross-platform layer over libdvdread that provides
low-level functions for DVD reading and seeking, as well as access to
the DVD data (subtitles, languages, chapters). It also provides the
virtual machine required for DVD navigation to the client application.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure 
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/%{name}.la
%{_includedir}/dvdplay
%{_libdir}/%{name}.so
%{_libdir}/%{name}.a

# -----------------------------------------------------------------------------

%changelog
* Wed May 19 2004 Dams <anvil[AT]livna.org> 0:1.0.1-0.lvn.3
- Added URL in Source0

* Sat Aug 30 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.2
- Removed comment after scriplets to avoid it to be embedded
- Added fedora buildroot

* Wed Aug 27 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.2
- Added classic doc files
- Modified devel description

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 
- Initial build.
